Skip to main content
GET
/
messages
/
{id}
Retrieve a Message
curl --request GET \
  --url https://commerce.driv.ly/api/messages/{id}
{
  "data": {
    "id": "<string>",
    "agent": "<string>",
    "lead": "<string>",
    "salesRep": "<string>",
    "internalEmail": "<string>",
    "externalPhoneNumber": "<string>",
    "externalEmail": "<string>",
    "internalPhoneNumber": "<string>",
    "text": "<string>",
    "templateType": "<string>",
    "template": "<string>",
    "attachments": [
      "<string>"
    ]
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.driv.ly/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Message is uniquely identified by id

Query Parameters

depth
integer

The number of levels of related objects to include in the response

Response

Message Found

data
Message · object
Example:
{
"id": "msg_kj3l9dks9j20",
"sentAt": "2023-05-14T12:00:00Z",
"content": "Is the vehicle still available?",
"senderId": "cus_9j2k3ls9dj20",
"receiverId": "com_9j3k2dls0j29"
}
success
boolean